Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/transcriber/transcriberLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/transcriber/transcriberLoader.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/transcriber/transcriberLoader.groovy	(revision 927)
@@ -44,8 +44,9 @@
 package org.txm.importer.transcriber;
 
 import java.io.File;
-import org.txm.scripts.teitxm.*;
-import org.txm.*;
+import org.txm.importer.xmltxm.*;
+import org.txm.*;
+import org.txm.core.engines.*;
 import org.txm.objects.*;
 import org.txm.utils.i18n.*;
 import org.txm.utils.*;
@@ -75,7 +76,6 @@
 	if (!org.txm.Toolbox.isInitialized()) {
 
 		Toolbox.setParam(Toolbox.INSTALL_DIR,new File("/usr/lib/TXM"));
-		Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH,new File(userDir,"treetagger"));
 		Toolbox.setParam(Toolbox.TREETAGGER_MODELS_PATH,new File(userDir,"treetagger/models"));
 		Toolbox.setParam(Toolbox.METADATA_ENCODING, "UTF-8");
 		Toolbox.setParam(Toolbox.METADATA_COLSEPARATOR, "\t");
@@ -232,9 +232,12 @@
 	if (MONITOR != null) MONITOR.worked(20, "ANNOTATE")
 	println "-- ANNOTATE - Running NLP tools"
 	boolean annotationSuccess = false;
-	if (annotate && new Annotate().run(binDir, txmDir, model+".par")) {
-		annotationSuccess = true;
-	}
+if (annotate) {
+	def engine = Toolbox.getEngineManager(EngineType.ANNOTATION).getEngine("TreeTagger")
+	if (engine.processDirectory(txmDir, binDir, ["lang":model])) {
+		annotationSuccess = true;
+	}
+}
 
 	if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
 	if (MONITOR != null) MONITOR.worked(25, "COMPILING")
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/alceste/importer.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/alceste/importer.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/alceste/importer.groovy	(revision 927)
@@ -34,9 +34,9 @@
 import org.txm.scripts.*;
 import org.txm.importer.cwb.CwbEncode
 import org.txm.importer.cwb.CwbMakeAll
-import org.txm.scripts.teitxm.BuildTTSrc;
+import org.txm.importer.xmltxm.BuildTTSrc;
 import org.txm.utils.io.FileCopy;
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.*;
 
 import javax.xml.stream.*;
 
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/alceste/alcesteLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/alceste/alcesteLoader.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/alceste/alcesteLoader.groovy	(revision 927)
@@ -33,7 +33,9 @@
 import org.txm.objects.*;
 import org.txm.utils.*;
 import org.txm.*;
-import org.txm.scripts.teitxm.*;
+import org.txm.core.engines.*;
+import org.txm.core.engines.EngineType
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.i18n.*;
 import org.w3c.dom.Element
 import org.txm.utils.xml.DomUtils;
@@ -50,8 +52,6 @@
 	params.load()
 	if (!org.txm.Toolbox.isInitialized()) {
 		Toolbox.setParam(Toolbox.INSTALL_DIR,new File("/usr/lib/TXM"));
-		Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH,new File(userDir,"treetagger"));
-		Toolbox.setParam(Toolbox.TREETAGGER_MODELS_PATH,new File(userDir,"treetagger/models"));
 		Toolbox.setParam(Toolbox.METADATA_ENCODING, "UTF-8");
 		Toolbox.setParam(Toolbox.METADATA_COLSEPARATOR, ",");
 		Toolbox.setParam(Toolbox.METADATA_TXTSEPARATOR, "\"");
@@ -100,8 +100,12 @@
 if (MONITOR != null) MONITOR.worked(20, "ANNOTATE")
 println "-- ANNOTATE - Running NLP tools"
 boolean annotationSuccess = false;
-if (annotate && new Annotate().run(binDir, txmDir, model+".par")) {
-	annotationSuccess = true;
+
+if (annotate) {
+	def engine = Toolbox.getEngineManager(EngineType.ANNOTATION).getEngine("TreeTagger")
+	if (engine.processDirectory(txmDir, binDir, ["lang":model])) {
+		annotationSuccess = true;
+	}
 }
 
 if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/alceste/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/alceste/compiler.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/alceste/compiler.groovy	(revision 927)
@@ -32,7 +32,7 @@
 import org.txm.importer.cwb.CwbMakeAll
 import org.txm.importer.*;
 import org.txm.scripts.*;
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.treetagger.TreeTagger;
 import org.txm.core.preferences.TXMPreferences
 import org.txm.libs.cqp.CQPLibPreferences
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xmltxmpara/xmltxmparaLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xmltxmpara/xmltxmparaLoader.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xmltxmpara/xmltxmparaLoader.groovy	(revision 927)
@@ -28,9 +28,11 @@
 import org.txm.importer.xmltxmpara.compiler;
 import org.txm.importer.xml.pager_old;
 import org.txm.objects.*;
-import org.txm.utils.*;
+import org.txm.utils.*
+import org.txm.utils.io.;
 import org.txm.*;
-import org.txm.scripts.teitxm.*;
+import org.txm.core.engines.*;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.i18n.*;
 import org.txm.importer.*;
 import org.txm.importer.cwb.CwbAlign;
@@ -51,8 +53,6 @@
 	if (!org.txm.Toolbox.isInitialized()) {
 		rootDir = userDir+"/xml/qgraal";
 		Toolbox.setParam(Toolbox.INSTALL_DIR,new File("/usr/lib/TXM"));
-		Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH,new File(userDir,"treetagger"));
-		Toolbox.setParam(Toolbox.TREETAGGER_MODELS_PATH,new File(userDir,"treetagger/models"));
 		Toolbox.setParam(Toolbox.METADATA_ENCODING, "UTF-8");
 		Toolbox.setParam(Toolbox.METADATA_COLSEPARATOR, ",");
 		Toolbox.setParam(Toolbox.METADATA_TXTSEPARATOR, "\"");
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xmltxmpara/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xmltxmpara/compiler.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xmltxmpara/compiler.groovy	(revision 927)
@@ -36,8 +36,8 @@
 import org.txm.importer.cwb.CwbMakeAll
 import org.txm.importer.*;
 import org.txm.scripts.*;
-import org.txm.scripts.teitxm.BuildTTSrc;
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.BuildTTSrc;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.treetagger.TreeTagger;
 
 import javax.xml.stream.*;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/txt/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/txt/compiler.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/txt/compiler.groovy	(revision 927)
@@ -33,7 +33,7 @@
 import org.txm.importer.cwb.PatchCwbRegistry;
 import org.txm.importer.*;
 import org.txm.scripts.*;
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.treetagger.TreeTagger;
 
 import javax.xml.stream.*;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/txt/importer.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/txt/importer.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/txt/importer.groovy	(revision 927)
@@ -33,7 +33,7 @@
 import org.txm.importer.*
 import org.txm.importer.filters.*
 import org.txm.scripts.*
-import org.txm.scripts.teitxm.*
+import org.txm.importer.xmltxm.*
 import org.txm.utils.*
 import org.txm.utils.i18n.DetectBOM
 
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/txt/txtLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/txt/txtLoader.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/txt/txtLoader.groovy	(revision 927)
@@ -31,8 +31,9 @@
 import org.txm.importer.txt.compiler;
 import org.txm.importer.xml.pager;
 import org.txm.objects.*;
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.*;
 import org.txm.*;
+import org.txm.core.engines.*;
 import org.txm.utils.i18n.*;
 import org.txm.metadatas.*;
 import org.txm.utils.io.FileCopy;
@@ -50,7 +51,6 @@
 	params.load()
 	if (!org.txm.Toolbox.isInitialized()) {
 		Toolbox.setParam(Toolbox.INSTALL_DIR,new File("C:/Program Files/TXM"));
-		Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH, new File("C:/Program Files/TreeTagger"));
 		Toolbox.setParam(Toolbox.TREETAGGER_MODELS_PATH, new File("C:/Users/mdecorde/TXM/treetagger"));
 		Toolbox.setParam(Toolbox.METADATA_ENCODING, "UTF-8");
 		Toolbox.setParam(Toolbox.METADATA_COLSEPARATOR, ",");
@@ -137,8 +137,11 @@
 if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
 if (MONITOR != null) MONITOR.worked(20, "ANNOTATE - Running NLP tools")
 boolean annotationSuccess = true;
-if (annotate && !new Annotate().run(binDir, txmDir, model+".par")) {
-	annotationSuccess = false;
+if (annotate) {
+	def engine = Toolbox.getEngineManager(EngineType.ANNOTATION).getEngine("TreeTagger")
+	if (engine.processDirectory(txmDir, binDir, ["lang":model])) {
+		annotationSuccess = true;
+	}
 }
 
 println "-- COMPILING - Building Search Engine indexes"
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xtz/TTAnnotater.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xtz/TTAnnotater.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xtz/TTAnnotater.groovy	(revision 927)
@@ -2,7 +2,7 @@
 
 import java.io.File;
 
-import org.txm.scripts.teitxm.Annotate
+import org.txm.importer.xmltxm.Annotate
 
 
 /**
@@ -13,8 +13,6 @@
  */
 class TTAnnotater extends Annotater {
 
-	Annotate a;
-	
 	public TTAnnotater(ImportModule module) {
 		super(module);
 	}
@@ -29,16 +27,19 @@
 		def corpusElem = module.getParameters().getCorpora().get(corpusname);
 		String lang = corpusElem.getAttribute("lang");
 
-		def hash = [:]
-		for (File txmFile : inputDirectory.listFiles()) {
-			hash[txmFile.getName()] = lang;
-		}
-		
-		a = new Annotate()
+		def engine = Toolbox.getEngineManager(EngineType.ANNOTATION).getEngine("TreeTagger")
 		if (module.isMultiThread()) {
-			isSuccessFul = a.run(module.getBinaryDirectory(), inputDirectory, hash);
+			def hash = [:]
+			for (File txmFile : inputDirectory.listFiles()) {
+				hash[txmFile.getName()] = lang;
+			}
+			if (engine.processDirectory(inputDirectory, module.getBinaryDirectory(), ["langs"=hash])) {
+				isSuccessFul = true;
+			}
 		} else {
-			isSuccessFul = a.run(module.getBinaryDirectory(), inputDirectory, lang+".par");
+			if (engine.processDirectory(inputDirectory, module.getBinaryDirectory(), ["lang"=lang])) {
+				isSuccessFul = true;
+			}
 		}
 		
 		if ("true".equals(cleanDirectories)) {
@@ -51,6 +52,6 @@
 
 	@Override
 	public void cancel() {
-		a.setCancelNow();
+		//a.setCancelNow();
 	}
 }
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xtz/XTZImporter.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xtz/XTZImporter.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xtz/XTZImporter.groovy	(revision 927)
@@ -22,7 +22,7 @@
 import org.txm.utils.xml.DomUtils
 import org.txm.metadatas.Metadatas
 import org.txm.objects.BaseParameters
-import org.txm.scripts.teitxm.Xml2Ana
+import org.txm.importer.xmltxm.Xml2Ana
 import org.txm.stat.utils.ConsoleProgressBar
 import org.txm.utils.io.*
 
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xtz/xtzLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xtz/xtzLoader.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xtz/xtzLoader.groovy	(revision 927)
@@ -32,7 +32,7 @@
 import org.txm.*
 import org.txm.metadatas.*
 import org.txm.objects.*
-import org.txm.scripts.teitxm.*
+import org.txm.importer.xmltxm.*
 import org.txm.tokenizer.TokenizerClasses
 import org.txm.utils.*
 import org.txm.utils.i18n.*
@@ -52,9 +52,6 @@
 		TokenizerClasses.loadFromNode(params.getTokenizerElement(params.getCorpusElement()));
 		Toolbox.setParam(Toolbox.INSTALL_DIR,new File("/usr/lib/TXM"));
 		//Toolbox.setParam(Toolbox.INSTALL_DIR,new File("C:\\Program Files\\TXM"));//For Windows
-		Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH,new File(userDir,"treetagger"));
-		//Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH,new File("C:\\Program Files\\treetagger"));//for Windows
-		Toolbox.setParam(Toolbox.TREETAGGER_MODELS_PATH,new File(userDir,"treetagger/models"));
 		Toolbox.setParam(Toolbox.METADATA_ENCODING, "UTF-8");
 		Toolbox.setParam(Toolbox.METADATA_COLSEPARATOR, ",");
 		Toolbox.setParam(Toolbox.METADATA_TXTSEPARATOR, "\"");
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xtz/XTZCompilerStep.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xtz/XTZCompilerStep.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xtz/XTZCompilerStep.groovy	(revision 927)
@@ -5,6 +5,7 @@
 import java.net.URL
 import java.util.HashMap;
 import org.txm.utils.*
+import org.txm.utils.io.
 
 public class XTZCompilerStep {
 
@@ -264,4 +265,4 @@
 		}
 		return true;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xtz/XTZImport.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xtz/XTZImport.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xtz/XTZImport.groovy	(revision 927)
@@ -123,9 +123,6 @@
 		String userDir = System.getProperty("user.home")
 		Toolbox.setParam(Toolbox.INSTALL_DIR,new File("/usr/lib/TXM"));
 		//Toolbox.setParam(Toolbox.INSTALL_DIR,new File("C:\\Program Files\\TXM"));//For Windows
-		Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH,new File(userDir,"treetagger"));
-		//Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH,new File("C:\\Program Files\\treetagger"));//for Windows
-		Toolbox.setParam(Toolbox.TREETAGGER_MODELS_PATH,new File(userDir,"treetagger/models"));
 		Toolbox.setParam(Toolbox.METADATA_ENCODING, "UTF-8");
 		Toolbox.setParam(Toolbox.METADATA_COLSEPARATOR, ",");
 		Toolbox.setParam(Toolbox.METADATA_TXTSEPARATOR, "\"");
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/hyperprince/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/hyperprince/compiler.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/hyperprince/compiler.groovy	(revision 927)
@@ -32,8 +32,8 @@
 import org.txm.importer.cwb.CwbMakeAll
 import org.txm.importer.*;
 import org.txm.scripts.*;
-import org.txm.scripts.teitxm.BuildTTSrc;
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.BuildTTSrc;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.treetagger.TreeTagger;
 
 import javax.xml.stream.*;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/hyperprince/importer.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/hyperprince/importer.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/hyperprince/importer.groovy	(revision 927)
@@ -32,7 +32,7 @@
 import org.txm.scripts.*;
 import org.txm.importer.cwb.CwbEncode
 import org.txm.importer.cwb.CwbMakeAll
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.treetagger.TreeTagger;
 import javax.xml.stream.*;
 import java.net.URL;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xml/xmlLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xml/xmlLoader.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xml/xmlLoader.groovy	(revision 927)
@@ -37,9 +37,11 @@
 import org.txm.importer.xml.pager_old;
 import org.txm.objects.*;
 import org.txm.tokenizer.TokenizerClasses;
-import org.txm.utils.*;
+import org.txm.utils.*
+import org.txm.utils.io.;
 import org.txm.*;
-import org.txm.scripts.teitxm.*;
+import org.txm.core.engines.*;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.i18n.*;
 import org.txm.metadatas.*;
 import javax.xml.stream.*;
@@ -61,9 +63,6 @@
 		TokenizerClasses.loadFromNode(params.getTokenizerElement(params.getCorpusElement()));
 		Toolbox.setParam(Toolbox.INSTALL_DIR,new File("/usr/lib/TXM"));
 		//Toolbox.setParam(Toolbox.INSTALL_DIR,new File("C:\\Program Files\\TXM"));//For Windows
-		Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH,new File(userDir,"treetagger"));
-		//Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH,new File("C:\\Program Files\\treetagger"));//for Windows
-		Toolbox.setParam(Toolbox.TREETAGGER_MODELS_PATH,new File(userDir,"treetagger/models"));
 		Toolbox.setParam(Toolbox.METADATA_ENCODING, "UTF-8");
 		Toolbox.setParam(Toolbox.METADATA_COLSEPARATOR, ",");
 		Toolbox.setParam(Toolbox.METADATA_TXTSEPARATOR, "\"");
@@ -237,8 +236,11 @@
 if (MONITOR != null) MONITOR.worked(20, "ANNOTATE")
 println "-- ANNOTATE - Running NLP tools"
 boolean annotationSuccess = false;
-if (annotate && new Annotate().run(binDir, txmDir, model+".par")) {
-	annotationSuccess = true;
+if (annotate) {
+	def engine = Toolbox.getEngineManager(EngineType.ANNOTATION).getEngine("TreeTagger")
+	if (engine.processDirectory(txmDir, binDir, ["lang":model])) {
+		annotationSuccess = true;
+	}
 }
 
 if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xml/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xml/compiler.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xml/compiler.groovy	(revision 927)
@@ -38,7 +38,7 @@
 import org.txm.importer.cwb.CwbMakeAll
 import org.txm.importer.*
 import org.txm.scripts.*
-import org.txm.scripts.teitxm.*
+import org.txm.importer.xmltxm.*
 import org.txm.utils.treetagger.TreeTagger
 
 import javax.xml.stream.*
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xml/importer.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xml/importer.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xml/importer.groovy	(revision 927)
@@ -37,7 +37,7 @@
 import org.txm.importer.filters.*
 import org.txm.objects.*
 import org.txm.scripts.*
-import org.txm.scripts.teitxm.*
+import org.txm.importer.xmltxm.*
 
 import filters.CutHeader.*
 import filters.FusionHeader.*
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bfm/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bfm/compiler.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bfm/compiler.groovy	(revision 927)
@@ -47,8 +47,8 @@
 import org.txm.importer.cwb.*
 import org.txm.importer.*;
 import org.txm.scripts.*;
-import org.txm.scripts.teitxm.BuildTTSrc;
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.BuildTTSrc;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.treetagger.TreeTagger;
 
 import javax.xml.stream.*;
